<!DOCTYPE html>
<html ng-app="myapp">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0-beta.2/css/bootstrap.min.css">
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js"></script>
        <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0-beta.2/js/bootstrap.min.js"></script>
        <script src="https://ajax.googleapis.com/ajax/libs/angularjs/1.6.7/angular.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/angular-sanitize/1.6.7/angular-sanitize.min.js"></script>
        <script src="app.js"></script>
    </head>
    <body>
        <div class="container" ng-controller="main-controller">
            <div class="card bg-light text-dark">
                <div class="card-body mx-auto"><h5>Employees</h5></div>
            </div>
            
            <br/><h4>Create a new employee</h4>
            <div class="row">
                <!-- Create newemployee form -->
                <div class="col-sm-6">
                    <form>
                        <div class="form-group">
                            Id: <input type="number" class="form-control" id="id" ng-model="employee.id" required>
                        </div>
                        <div class="form-group">
                            Name: <input type="text" class="form-control" id="name" ng-model="employee.name" required>
                        </div>
                        <div class="form-group">
                            ManagerId: <select ng-model="employeeManager" ng-options="e.id for e in allEmployees"></select>
                        </div>
                        <div class="form-group">
                            <input type="submit" value="Create" ng-click="createEmployee()">
                        </div>
                    </form>
                </div>
                
                <div class="col-sm-6">
                    <!-- All employees table -->
                    <div class="row">
                        <h5>All Employees</h5>
                        <table class="table table-bordered">
                            <thead>
                                <tr>
                                    <th>Id</th>
                                    <th>Name</th>
                                    <th>Manager Id</th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr ng-repeat="e in allEmployees">
                                    <td>{{e.id}}</td>
                                    <td>{{e.name}}</td>
                                    <td>{{e.managerId}}</td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                    
                </div>
            </div>
            
            <!-- Show employees hierarchy -->
            <h5>Employees hierarchy</h5>
            <div class="row">
                <p ng-bind-html="hierarchyData"></p>
            </div>
        </div>
    </body>
</html>